Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Interface PrefixResolver

All Known Implementing Classes:
  ElemTemplateElement, StylesheetHandler, PrefixResolverDefault

public interface PrefixResolver

The class that implements this interface can resolve prefixes to namespaces. Examples would include resolving the meaning of a prefix at a particular point in a document, or mapping the prefixes used in an XPath expression.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Method Summary
`java.lang.String` | `getBaseIdentifier()` Return the base identifier.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix)` Given a namespace, get the corrisponding prefix.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix, org.w3c.dom.Node context)` Given a namespace, get the corresponding prefix, based on the context node.

Method Detail

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

  Given a namespace, get the corrisponding prefix. This assumes that the PrefixResolver holds its own namespace context, or is a namespace context itself.

  Parameters:
    `prefix` - The prefix to look up, which may be an empty string ("") for the default Namespace.
  Returns:
    The associated Namespace URI, or null if the prefix is undeclared in this context.

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix,
                                                  org.w3c.dom.Node context)

  Given a namespace, get the corresponding prefix, based on the context node.

  Parameters:
    `prefix` - The prefix to look up, which may be an empty string ("") for the default Namespace.
    `context` - The node context from which to look up the URI.
  Returns:
    The associated Namespace URI as a string, or null if the prefix is undeclared in this context.

### getBaseIdentifier

    public java.lang.String getBaseIdentifier()

  Return the base identifier.

  Returns:
    The base identifier from where relative URIs should be absolutized, or null if the base ID is unknown.

    CAVEAT: Note that the base URI in an XML document may vary with where you are in the document, if part of the doc's contents were brought in via an external entity reference or if mechanisms such as xml:base have been used. Unless this PrefixResolver is bound to a specific portion of the document, or has been kept up to date via some other mechanism, it may not accurately reflect that context information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference